Bug 256058

Summary: security/py-python-gnupg: update to 0.4.7
Product: Ports & Packages Reporter: Thomas Guymer <t.m.guymer>
Component: Individual Port(s)Assignee: Nuno Teixeira <eduardo>
Status: Closed FIXED    
Severity: Affects Only Me CC: christer.edwards, eduardo, yuri
Priority: --- Flags: christer.edwards: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://bitbucket.org/vinay.sajip/python-gnupg/src/master/README.rst
Bug Depends on:    
Bug Blocks: 255606    
Attachments:
Description Flags
patch eduardo: maintainer-approval+

Description Thomas Guymer 2021-05-21 16:52:36 UTC
Hi,

"devel/py-python-gist" requires "security/py-python-gnupg" >= 0.4.7; please could it be updated to a newer version?

Thanks,

Tom
Comment 1 Yuri Victorovich freebsd_committer 2021-05-21 17:23:21 UTC
Created attachment 225154 [details]
patch
Comment 2 Nuno Teixeira freebsd_committer 2021-05-24 06:20:25 UTC
poudriere testport ok on 140amd64|i386, 130amd64|i386, 122amd64|i386 and 114amd64|i386.

Waiting for maintainer aproval so I can commit it.

Thanks
Comment 3 Nuno Teixeira freebsd_committer 2021-05-25 06:06:57 UTC
Hello Christer!

I will accept your approval (Flags: maintainer-feedback?(christer.edwards@gmail.com) → maintainer-feedback+) but next time please put your approval in patch too so I know that patch is accepted to be commited.

Thanks
Comment 4 commit-hook freebsd_committer 2021-05-25 06:21:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2e24a64c42fcd9c29f56c0662ff720067676fd23

commit 2e24a64c42fcd9c29f56c0662ff720067676fd23
Author:     Thomas Guymer <t.m.guymer@thomasguymer.co.uk>
AuthorDate: 2021-05-25 06:15:18 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-05-25 06:15:18 +0000

    security/py-python-gnupg: Update to 0.4.7

    - Use DISTVERSION instead of PORTVERSION
    - Updated WWW

    ChangeLog: https://bitbucket.org/vinay.sajip/python-gnupg/src/master/README.rst

    PR:             256058
    Approved by:    dbaio, garga (mentors, implicit)
    Obtained from:  yuri

 security/py-python-gnupg/Makefile  | 10 +++++-----
 security/py-python-gnupg/distinfo  |  6 +++---
 security/py-python-gnupg/pkg-descr |  2 +-
 3 files changed, 9 insertions(+), 9 deletions(-)
Comment 5 Nuno Teixeira freebsd_committer 2021-05-25 06:22:52 UTC
Commited thanks!
Comment 6 Nuno Teixeira freebsd_committer 2021-05-25 06:42:06 UTC
(In reply to Yuri Victorovich from comment #1)
Hello yuri!

I've included you in my commit with: "Obtained from:  yuri" because you create the patch. Is this the correct way?
Comment 7 Yuri Victorovich freebsd_committer 2021-05-25 07:10:35 UTC
(In reply to Nuno Teixeira from comment #6)

Hi Nuno,


In case the patch is committed verbatim the correct way is 'git commit . --author="Name <xx@FreeBSD.org>"'.


Thanks,
Yuri
Comment 8 Thomas Guymer 2021-05-25 07:46:40 UTC
Thanks for closing/fixing this bug, I appreciate it.